## linux-firmware-raspi 6

=== debian/changelog ===
linux-firmware-raspi (6-0ubuntu3) jammy; urgency=medium

  * d/linux-firmware-raspi.{preinst,postinst,postrm} Re-write diversion
    handling logic. The previous handling was neither idempotent nor did it
    gracefully handle failure scenarios (LP: #1961185)
  * d/diversions: Add diversions for bluez-firmware blobs (LP: #1962001)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 18 Feb 2022 00:49:24 +0000

linux-firmware-raspi (6-0ubuntu2) jammy; urgency=medium

  * d/control: Transitional package should be limited to armhf and arm64
    otherwise the amd64 package is uninstallable and fails to migrate

 -- Dave Jones <dave.jones@canonical.com>  Fri, 11 Feb 2022 11:47:14 +0000

linux-firmware-raspi (6-0ubuntu1) jammy; urgency=medium

  * Renamed package from linux-firmware-raspi2 (LP: #1950632)
  * New upstream boot firmware release, 1.20211118
  * New upstream wifi firmware release, 20210315-3+rpt4 (LP: #1950633)

    [ Phil Elwell ]
    - Add 43438 firmware 7.45.98.118 + external clm_blob
    - Add 43455 firmware 7.45.241 and clm_blob
    - Add "minimal" firmware for AP+STA mode
    - Add 43436S firmware
      - Future Zero 2 W boards will have an alternative version of 43436
        that should have different firmware, named brcmfmac43436s-sdio
    - Update the Cypress 43455 WLAN firmware to 7.45.241, and include the new
      clm_blob with all-zero regrevs (tried previously but with a bad blob)

  * Added diversions for new 43436s firmware (including overrides for any
    future external clm_blob)
  * Add autopkgtest for co-existence with linux-firmware (LP: #1927711)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 19 Oct 2021 13:19:08 +0100

linux-firmware-raspi2 (5-0ubuntu1) impish; urgency=medium

  * New upstream boot firmware release, 1.20210831
    - Contains workaround for compatibility with "full" KMS overlay on the
      Ubuntu Pi desktop (LP: #1944397)
  * Removed d/compat (replaced with debhelper-compat build-dep)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 28 Sep 2021 21:04:23 +0100

linux-firmware-raspi2 (4-0ubuntu3) hirsute; urgency=medium

  * Add diversion for brcmfmac43430 clm_blob (LP: #1922257)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 16 Apr 2021 00:12:35 +0100

linux-firmware-raspi2 (4-0ubuntu2) hirsute; urgency=medium

  * Add aliases and diversions for brcmfmac43455 configuration on the
    Raspberry Pi Compute Module 4, and 400 (LP: #1912905)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 12 Mar 2021 15:03:37 +0000

linux-firmware-raspi2 (4-0ubuntu1) hirsute; urgency=medium

  * Added diversions for all wifi firmware blobs (LP: #1918013)
  * New upstream boot firmware release, 1.20210303
  * New upstream bluetooth firmware release, 1.2-4+rpt8

    [ Phil Elwell ]
    - Second Spectra fix for CYW43455 (CVE-2020-10370)
      - Original firmware name: BCM4345C0_003.001.025.0174.0342.hcd

  * New upstream wifi firmware release, 1:20190114-1+rpt11

    [ Serge Schneider ]
    - Update CYW43455 firmware
      - brcm/brcmfmac43455-sdio.bin 7.45.229
      - See: https://github.com/raspberrypi/linux/issues/3849

 -- Dave Jones <dave.jones@canonical.com>  Thu, 11 Mar 2021 14:19:26 +0000

linux-firmware-raspi2 (3-0ubuntu2) hirsute; urgency=medium

  * Add wifi configuration file for CM4

 -- Dave Jones <dave.jones@canonical.com>  Thu, 21 Jan 2021 16:21:28 +0000

linux-firmware-raspi2 (3-0ubuntu1) hirsute; urgency=medium

  * New upstream boot firmware release, 1.20210108
  * New upstream bluetooth firmware release, 1.2-4+rpt7

    [ Phil Elwell ]
    - Bug fix CYW43455 firmware
      - This update fixes the failure of CYW43455 to accept BLE connections.
      - Original firmware name: BCM4345C0_003.001.025.0171.0339.hcd
      - See: https://github.com/raspberrypi/linux/issues/3689

    [ Phil Elwell ]
    - Add BCM43430B0.hcd

  * New upstream wifi firmware release, 1:20190114-1+rpt10

    [ Phil Elwell ]
    - New clm_blob for BCM43456
      - An updated clm_blob to open up the 80MHz channels.
    - Use BCM43456 clm_blob on CYW43455
      - The previous CYW43455 clm_blob provides limited access to the higher
        5GHz channels (100+) - the BCM43456 (surprisingly) seems to work and
        doesn't have this problem.

    [ Phil Elwell ]
    - Add BCM43436 firmware
      - brcm/brcmfmac43436-sdio.bin 9.88.4.65
      - brcm/brcmfmac43436-sdio.clm_blob
      - brcm/brcmfmac43436-sdio.txt

 -- Dave Jones <dave.jones@canonical.com>  Tue, 12 Jan 2021 15:38:07 +0000

linux-firmware-raspi2 (2-0ubuntu2) groovy; urgency=medium

  * Add extra copy of the BCM43456 wifi configuration

 -- Dave Jones <dave.jones@canonical.com>  Fri, 16 Oct 2020 10:34:13 +0100

linux-firmware-raspi2 (2-0ubuntu1) groovy; urgency=medium

  * Replace source tarballs from forked/merged RPi-Distro packages, to a
    3.0 quilt package that has empty orig tarball, and only includes the
    matching files shipped by the package, as component tarballs, without
    duplicating linux-firmware. See get-orig-source target. The resulting
    .deb is identical to the previous one, this only corrects the source
    package contents.
    Components are at:
     - boot - 1.20200902
     - bluez - c317a5c56847d18faf43e531f35c1661f1134046
     - nofree (wifi) - 98e815735e2c805d65994ccc608f399595b74438
  * Drop multiverse/ section for promotion to restricted.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 07 Oct 2020 12:59:05 +0100

linux-firmware-raspi2 (1.20200902-0ubuntu1) groovy; urgency=medium

  * Replaced postinst with flash-kernel trigger (relates to LP: #1895137)
  * New upstream boot firmware release, 1.20200902
  * New upstream bluetooth firmware release, 1.2-4+rpt5

    [ Serge Schneider ]
    - This BCM43438 and BCM43455 Bluetooth firmware updates work around most
      of the report "Spectra" class of vulnerabilities. CVE-2020-10370 will be
      addressed in a follow-up release.
    - Add BCM4345C5.hcd

  * New upstream wifi firmware release, 1:20190114-1+rpt8

    [ Phil Elwell ]

