=== debian/control ===
Source: linux-firmware-raspi
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: https://github.com/raspberrypi/firmware
XS-Autobuild: yes

Package: linux-firmware-raspi
Architecture: armhf arm64
Depends: ${misc:Depends}
Replaces: linux-firmware-raspi2 (<< 6-0ubuntu1~)
Breaks: linux-firmware-raspi2 (<< 6-0ubuntu1~)
Description: Raspberry Pi 2/3/4 GPU firmware and bootloaders
 This package contains all the proprietary files necessary to boot a
 Raspberry Pi 2/3/4 board.

Package: linux-firmware-raspi2
Architecture: armhf arm64
Priority: optional
Section: oldlibs
Depends: linux-firmware-raspi, ${misc:Depends}
Description: transitional package
 This is a transitional package. It can safely by removed.
