## linux-firmware-raspi 8

=== debian/changelog ===
linux-firmware-raspi (8-0ubuntu1~22.04) jammy; urgency=medium

  * New upstream boot firmware, 1.20220331 
    - Fixes issues with NVME boot (LP: #1993937, LP: #1989713)
  * New upstream wifi firmware, 20210315-3+rpt7

    [ Serge Schneider ]
    - Add update-alternatives for cyfmac43455-sdio.bin

    [ Phil Elwell ]
    - Add license from Synaptics
    - Update SYN43436P firmware
      - The shipping firmware for the SYN43436P does not support 4-way
        handshake offloading. This new firmware (version string "Version:
        9.88.4.77 CRC: 143f9f15 Date: Thu 2022-03-31 17:25:16 CST Ucode
        Ver: 1043.20743 FWID: 01-3b307371") fixes that.
    - Updated SYN43436S firmware
      - The embedded clm_blob in the previous SYN43436S firmware did not offer
        any channels when the country code was set to KR (Korea). This
        firmware fixes that.
      - Full version string:
        Version: 7.45.96.141 (g53ba0094) CRC: 6a9f22a0 Date: Tue 2022-07-05
        21:30:23 CST Ucode Ver: 1043.20739 FWID: 01-eef9b3bf

  * New upstream bluetooth firmware release

    [ Phil Elwell ]

    - This updated Bluetooth firmware contains Braktooth fixes for CYW43455,
      addressing the following vulnerabilities:
      CVE-2021-34145
      CVE-2021-34146
      CVE-2021-34147
      CVE-2021-34148
    - Add Synaptics firmware:
      SYN43430A1.hcd and SYN43430B0.hcd are firmwares for the two Zero 2 W
      variants.
    - Add board-specific links for the Zero 2 W firmwares

 -- Dave Jones <dave.jones@canonical.com>  Thu, 28 Jul 2022 13:50:22 +0100
