=== debian/rules ===
--- 
+++ 
@@ -45,6 +45,11 @@
 	ln -s brcmfmac43456-sdio.txt \
 		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43456-sdio.raspberrypi,400.txt
 
+	ln -s BCM43430A1.hcd \
+		debian/linux-firmware-raspi/lib/firmware/brcm/BCM43430A1.raspberrypi,model-zero-2-w.hcd
+	ln -s BCM43430B0.hcd \
+		debian/linux-firmware-raspi/lib/firmware/brcm/BCM43430B0.raspberrypi,model-zero-2-w.hcd
+
 override_dh_installdeb:
 	dh_installdeb \
 		--define DIVERSIONS=@debian/diversions \
@@ -54,7 +59,7 @@
 	# Don't strip anything; it's all pre-built binary blobs and some of
 	# it is foreign architecture anyway
 
-BOOTCOMMIT:= 1.20211118
+BOOTCOMMIT:= 1.20221028
 BOOTFILES := \
 	LICENCE.broadcom \
 	bootcode.bin \
@@ -75,16 +80,18 @@
 	start_db.elf \
 	start_x.elf
 
-BTCOMMIT:= e7fd166981ab4bb9a36c2d1500205a078a35714d
+# 1.2-4+rpt9
+BTCOMMIT:= 90d0bdffd25cc8a1717d3fec6cc7bbde56ee83c7
 BTFILES := \
 	broadcom/BCM43430A1.hcd \
 	broadcom/BCM4345C0.hcd \
 	broadcom/BCM4345C5.hcd \
 	broadcom/BCM43430B0.hcd
 
-WIFICOMMIT:= 99d5c588e95ec9c9b86d7e88d3cf85b4f729d2bc
+# 1:20210315-3+rpt7
+WIFICOMMIT:= 541e5a05d152e7e6f0d9be45622e4a3741e51c02
 WIFIFILES := \
-	LICENSE \
+	copyright \
 	brcm/brcmfmac43430-sdio.txt \
 	brcm/brcmfmac43436-sdio.bin \
 	brcm/brcmfmac43436-sdio.clm_blob \
@@ -99,7 +106,7 @@
 	cypress/cyfmac43430-sdio.bin \
 	cypress/cyfmac43430-sdio.clm_blob \
 	cypress/cyfmac43455-sdio-minimal.bin \
-	cypress/cyfmac43455-sdio.bin \
+	cypress/cyfmac43455-sdio-standard.bin \
 	cypress/cyfmac43455-sdio.clm_blob
 
 # get-orig-file,output-dir,source-file,repo-url
