## linux-firmware-raspi 9

=== debian/changelog ===
linux-firmware-raspi (9-0ubuntu1) lunar; urgency=medium

  * New upstream boot firmware, 1.20230306
    - Fixes issue with long pathnames when using os_prefix option
      (https://github.com/raspberrypi/firmware/issues/1720)
    - vcgencmd display_power and camera_auto_detect fixes (LP: #2009826)
    - Pi Zero 2W wifi issues
      (https://github.com/raspberrypi/firmware/issues/1723)
    - Lost frames in bcm2835-v4l2-codec
      (https://github.com/raspberrypi/linux/issues/5059)
    - Fix GET_CLOCKS to not overwrite client buffer
      (https://github.com/raspberrypi/firmware/issues/1688)
    - Fix initramfs on NVMe boot
      (https://github.com/raspberrypi/firmware/issues/1731)
    - Fix initial GPIO expander state
      (https://github.com/raspberrypi/linux/issues/5107)
    - Fix failover to secondary PMIC interface functions
      (https://forums.raspberrypi.com/viewtopic.php?t=338429)
    - Never set the warranty bit
      (https://github.com/raspberrypi/firmware/issues/1741)
    - Support [cm4s] conditional sections
    - Restore VEC and PIXEL clocks after HDMI domain power cycle
      (https://github.com/raspberrypi/linux/issues/4962)
    - Fix silent truncation of oversized secure-boot ramdisk
      (https://github.com/raspberrypi/rpi-eeprom/issues/375)
    - Fix initrd load failure due to camera-autodetection changes
      (https://github.com/raspberrypi/firmware/issues/1750)
    - Fix eth0 disabled on Pi 400
      (https://github.com/raspberrypi/firmware/issues/1754)
    - Add tryboot A_B mode
    - Add all, none, tryboot sections to autoboot.txt
    - HAT EEPROM support for GPIO bank 1
      (https://github.com/raspberrypi/firmware/issues/1756)
    - Use new SDHCI controller instead of legacy arasan
      (https://github.com/raspberrypi/firmware/issues/1763)
    - Fix boot hang with hdmi_ignore_hotplug on CM4
      (https://forums.raspberrypi.com/viewtopic.php?t=345362)
    - arm_dispmanx: Correct support for NV21, and add support for YV16
      (https://github.com/raspberrypi/firmware/issues/1767)
    - arm_dispmanx: Fix FKMS to adopt pre-multiplied alpha
      (https://github.com/raspberrypi/firmware/issues/1773)
  * New upstream wifi fixes
    - Pi Zero 2W stuttering sound over Bluetooth
      (https://github.com/RPi-Distro/firmware-nonfree/issues/33)
  * New upstream bluetooth firmware release, 1.2-4+rpt10

    [ Phil Elwell ]
    - 43455 firmware: Fix BLE advertising on new phones

 -- Dave Jones <dave.jones@canonical.com>  Tue, 07 Mar 2023 15:33:53 +0000

linux-firmware-raspi (8-0ubuntu1) lunar; urgency=medium

  * New upstream boot firmware, 1.20220331
    - Fixes issues with NVME boot (LP: #1993937, LP: #1989713)
  * New upstream wifi firmware, 20210315-3+rpt7

    [ Serge Schneider ]
    - Add update-alternatives for cyfmac43455-sdio.bin

    [ Phil Elwell ]
    - Add license from Synaptics
    - Update SYN43436P firmware
      - The shipping firmware for the SYN43436P does not support 4-way
        handshake offloading. This new firmware (version string "Version:
        9.88.4.77 CRC: 143f9f15 Date: Thu 2022-03-31 17:25:16 CST Ucode
        Ver: 1043.20743 FWID: 01-3b307371") fixes that.
    - Updated SYN43436S firmware
      - The embedded clm_blob in the previous SYN43436S firmware did not offer
        any channels when the country code was set to KR (Korea). This
        firmware fixes that.
      - Full version string:
        Version: 7.45.96.141 (g53ba0094) CRC: 6a9f22a0 Date: Tue 2022-07-05
        21:30:23 CST Ucode Ver: 1043.20739 FWID: 01-eef9b3bf

  * New upstream bluetooth firmware release

    [ Phil Elwell ]
    - This updated Bluetooth firmware contains Braktooth fixes for CYW43455,
      addressing the following vulnerabilities:
      CVE-2021-34145
      CVE-2021-34146
      CVE-2021-34147
      CVE-2021-34148
    - Add Synaptics firmware:
      SYN43430A1.hcd and SYN43430B0.hcd are firmwares for the two Zero 2 W
      variants.
    - Add board-specific links for the Zero 2 W firmwares

 -- Dave Jones <dave.jones@canonical.com>  Thu, 28 Jul 2022 13:50:22 +0100
