=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,10 @@
 		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43430-sdio.raspberrypi,3-model-b.txt
 	ln -s brcmfmac43430-sdio.txt \
 		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43430-sdio.raspberrypi,model-zero-w.txt
+	ln -s brcmfmac43436-sdio.txt \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43436-sdio.raspberrypi,model-zero-2-w.txt
+	ln -s brcmfmac43436s-sdio.txt \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43436s-sdio.raspberrypi,model-zero-2-w.txt
 
 	ln -s ../cypress/cyfmac43455-sdio.bin \
 		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43455-sdio.bin
@@ -59,7 +63,7 @@
 	# Don't strip anything; it's all pre-built binary blobs and some of
 	# it is foreign architecture anyway
 
-BOOTCOMMIT:= 1.20221028
+BOOTCOMMIT:= 1.20230306
 BOOTFILES := \
 	LICENCE.broadcom \
 	bootcode.bin \
@@ -80,16 +84,16 @@
 	start_db.elf \
 	start_x.elf
 
-# 1.2-4+rpt9
-BTCOMMIT:= 90d0bdffd25cc8a1717d3fec6cc7bbde56ee83c7
+# 1.2-4+rpt10
+BTCOMMIT:= dd840d991939f5046959b8c564596c7228f9d41d
 BTFILES := \
 	broadcom/BCM43430A1.hcd \
 	broadcom/BCM4345C0.hcd \
 	broadcom/BCM4345C5.hcd \
 	broadcom/BCM43430B0.hcd
 
-# 1:20210315-3+rpt7
-WIFICOMMIT:= 541e5a05d152e7e6f0d9be45622e4a3741e51c02
+# 1:20210315-3+rpt7 + 4
+WIFICOMMIT:= 8e349de20c8cb5d895b3568777ec53cbb333398f
 WIFIFILES := \
 	copyright \
 	brcm/brcmfmac43430-sdio.txt \
