## linux-firmware-raspi 10

=== debian/changelog ===
linux-firmware-raspi (10-0ubuntu1) mantic; urgency=medium

  * New upstream boot firmware, 1.20230405 (LP: #2037634)
    - clocks: Replace m2mc with hdmi for state machine clock on 2711
    - gencmd: Add a fallback to mailbox interface if vchiq is not available
    - Added links for 5-model-b
  * New upstream wifi firmware, 1:20230210-5~bpo11+1+rpt1
    - There are no changes in the WiFi blobs with this release; they are the
      same firmware blobs as in the prior release
    - Several new model-specific aliases are added to address blob loading on
      the Pi Zero 2W particularly (and some variants of the Compute Module 4)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 25 Aug 2023 11:34:47 +0100
