=== debian/control ===
Source: linux-firmware-raspi
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://github.com/raspberrypi/firmware

Package: linux-firmware-raspi
Architecture: armhf arm64
Depends: ${misc:Depends}
Replaces: linux-firmware-raspi2
Breaks: linux-firmware-raspi2
Description: Raspberry Pi 2/3/4 GPU firmware and bootloaders
 This package contains all the proprietary files necessary to boot a
 Raspberry Pi 2/3/4 board.
