=== debian/rules ===
--- 
+++ 
@@ -18,12 +18,30 @@
 		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43430-sdio.bin
 	ln -s ../cypress/cyfmac43430-sdio.clm_blob \
 		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43430-sdio.clm_blob
+	ln -s ../cypress/cyfmac43430-sdio.bin \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43430-sdio.raspberrypi,3-model-b.bin
 	ln -s brcmfmac43430-sdio.txt \
 		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43430-sdio.raspberrypi,3-model-b.txt
-	ln -s brcmfmac43430-sdio.txt \
-		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43430-sdio.raspberrypi,model-zero-w.txt
+	ln -s ../cypress/cyfmac43430-sdio.clm_blob \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43430-sdio.raspberrypi,3-model-b.clm_blob
+	ln -s brcmfmac43436-sdio.bin \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43430b0-sdio.raspberrypi,model-zero-2-w.bin
+	ln -s brcmfmac43436-sdio.txt \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43430b0-sdio.raspberrypi,model-zero-2-w.txt
+	ln -s brcmfmac43436-sdio.clm_blob \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43430b0-sdio.raspberrypi,model-zero-2-w.clm_blob
+	ln -s brcmfmac43436-sdio.bin \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43436-sdio.raspberrypi,model-zero-2-w.bin
 	ln -s brcmfmac43436-sdio.txt \
 		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43436-sdio.raspberrypi,model-zero-2-w.txt
+	ln -s brcmfmac43436-sdio.clm_blob \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43436-sdio.raspberrypi,model-zero-2-w.clm_blob
+	ln -s brcmfmac43436s-sdio.bin \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43430-sdio.raspberrypi,model-zero-2-w.bin
+	ln -s brcmfmac43436s-sdio.txt \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43430-sdio.raspberrypi,model-zero-2-w.txt
+	ln -s brcmfmac43436s-sdio.bin \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43436s-sdio.raspberrypi,model-zero-2-w.bin
 	ln -s brcmfmac43436s-sdio.txt \
 		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43436s-sdio.raspberrypi,model-zero-2-w.txt
 
@@ -31,21 +49,47 @@
 		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43455-sdio.bin
 	ln -s ../cypress/cyfmac43455-sdio.clm_blob \
 		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43455-sdio.clm_blob
+	ln -s ../cypress/cyfmac43455-sdio.bin \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,3-model-a-plus.bin
+	ln -s ../cypress/cyfmac43455-sdio.clm_blob \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,3-model-a-plus.clm_blob
 	ln -s brcmfmac43455-sdio.txt \
 		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,3-model-a-plus.txt
+	ln -s ../cypress/cyfmac43455-sdio.bin \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,3-model-b-plus.bin
+	ln -s ../cypress/cyfmac43455-sdio.clm_blob \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,3-model-b-plus.clm_blob
 	ln -s brcmfmac43455-sdio.txt \
 		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,3-model-b-plus.txt
+	ln -s ../cypress/cyfmac43455-sdio.bin \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,4-model-b.bin
+	ln -s ../cypress/cyfmac43455-sdio.clm_blob \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,4-model-b.clm_blob
 	ln -s brcmfmac43455-sdio.txt \
 		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,4-model-b.txt
+	ln -s ../cypress/cyfmac43455-sdio.bin \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,4-compute-module.bin
+	ln -s ../cypress/cyfmac43455-sdio.clm_blob \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,4-compute-module.clm_blob
 	ln -s brcmfmac43455-sdio.txt \
 		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,4-compute-module.txt
+	ln -s ../cypress/cyfmac43455-sdio.bin \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,5-model-b.bin
+	ln -s ../cypress/cyfmac43455-sdio.clm_blob \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,5-model-b.clm_blob
 	ln -s brcmfmac43455-sdio.txt \
-		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,400.txt
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,5-model-b.txt
 
-	ln -s brcmfmac43456-sdio.txt \
-		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43456-sdio.raspberrypi,4-model-b.txt
+	ln -s brcmfmac43456-sdio.bin \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43456-sdio.raspberrypi,4-compute-module.bin
+	ln -s brcmfmac43456-sdio.clm_blob \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43456-sdio.raspberrypi,4-compute-module.clm_blob
 	ln -s brcmfmac43456-sdio.txt \
 		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43456-sdio.raspberrypi,4-compute-module.txt
+	ln -s brcmfmac43456-sdio.bin \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43456-sdio.raspberrypi,400.bin
+	ln -s brcmfmac43456-sdio.clm_blob \
+		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43456-sdio.raspberrypi,400.clm_blob
 	ln -s brcmfmac43456-sdio.txt \
 		debian/linux-firmware-raspi/lib/firmware/brcm/brcmfmac43456-sdio.raspberrypi,400.txt
 
@@ -63,7 +107,7 @@
 	# Don't strip anything; it's all pre-built binary blobs and some of
 	# it is foreign architecture anyway
 
-BOOTCOMMIT:= 1.20230306
+BOOTCOMMIT:= 1.20230405
 BOOTFILES := \
 	LICENCE.broadcom \
 	bootcode.bin \
@@ -92,10 +136,9 @@
 	broadcom/BCM4345C5.hcd \
 	broadcom/BCM43430B0.hcd
 
-# 1:20210315-3+rpt7 + 4
+# 1:20230210-5~bpo11+1+rpt1
 WIFICOMMIT:= 8e349de20c8cb5d895b3568777ec53cbb333398f
 WIFIFILES := \
-	copyright \
 	brcm/brcmfmac43430-sdio.txt \
 	brcm/brcmfmac43436-sdio.bin \
 	brcm/brcmfmac43436-sdio.clm_blob \
@@ -130,5 +173,3 @@
 	tar -czf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)
 	tar -czf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig-boot.tar.gz boot/
 	tar -czf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig-bluez.tar.gz bluez/
-	tar -czf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig-nonfree.tar.gz nonfree/
-	rmdir $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)
