## linux-firmware-raspi 12

=== debian/changelog ===
linux-firmware-raspi (12-0ubuntu1) noble; urgency=medium

  * Add missing Bluetooth firmware for Pi 3B and Zero 2W (LP: #2060850)
  * Add missing model links for Bluetooth firmwares

 -- Dave Jones <dave.jones@canonical.com>  Wed, 10 Apr 2024 22:46:32 +0100

linux-firmware-raspi (11-0ubuntu1) noble; urgency=medium

  * New upstream boot firmware (LP: #2056588)
    - Add [pi5] to config.txt on 2711 and earlier platforms
    - Add support for the HAT map
    - video_decode: Add support for 32bpp RGB conversion
    - Fix non-standard console UARTs
    - Improve UART console selection
    - Set WiFi MAC address if all zeroes
    - Use os_prefix when looking for stubs
    - Don't overwrite kernel path, check before loading stub
    - Move non-kernels back to 512KB (u-boot fix)
    - Add HAT+ support
    - Add Compute Module 5 model info string
    - Handle SFN-only entries in FAT correctly (LP: #2046841)
  * New upstream wifi firmware, 1:20230625-2+rpt2
    - Use a generic CYW43455 firmware
    - Add Pi 5-specific links to the 43455 firmware
  * New upstream bluetooth firmware, 1.2-9+rpt2
    - Import 43456 firmware: Fix BLE advertising on new phones
    - More model-specific firmware links
  * Use dh_links to create symlinks

 -- Dave Jones <dave.jones@canonical.com>  Fri, 08 Mar 2024 17:03:45 +0000
