## linux-firmware-raspi 13

=== debian/changelog ===
linux-firmware-raspi (13-0ubuntu2) questing; urgency=medium

  * d/linux-firmware-raspi.postinst: Re-create the dpkg diversion for the
    cyfmac43455 blob if it is a file and not a symlink, indicating the
    diversion has been broken by a linux-firmware upgrade (LP: #2126066)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 30 Sep 2025 16:59:41 +0100

linux-firmware-raspi (13-0ubuntu1) questing; urgency=medium

  * New upstream boot firmware
    - Fix booting with un-ordered MBR table and tryboot_a_b (LP: #2121612)
    - H.264 codec generates garbage at 1920x1200
    - Support HAT+
    - Support HAT EEPROM dtparams
    - Populate number of numa nodes based on sdram configuration
    - Avoid increasing arm frequency when throttling
    - imx500: selectively increase i2c_vc_baudrate based on FW version
    - Add support for software uart using the second VPU core
    - Add memory barrier to the mbox handler
    - GPT autoboot/reboot partition number fixes for Pi4 and older
    - Add support for [partition=N] config.txt on Pi 4
    - Add support for the current_supply HAT+ property
    - Don't look for boot-partition inside hybrid-GPT partitions
    - Rev 1.4 3B+ also needs the NO_BT_ON trait
    - Correct some mailbox response lengths
    - GET_CLOCKS: Set useful response length
    - Enable "Starting ARM" log message
    - Allow more tolerance for incorrectly programmed otp
    - Add config option to enable the watchdog timer from the firmware
    - Also require the early-watchdog property
    - Use the Ethernet PHY address probed by the bootloader
    - Fix boot-watchdog stop on Pi4
    - Fix config key search which could cause camera_autodetect to fail
    - Add boot.img ramdisk support for Pi3 and earlier devices
  * New upstream wifi firmware, 1:20241210-1+rpt2
    - Fixed operation of brmcfmac43455 chips on questing's kernel
      (LP: #2121560)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 03 Sep 2024 13:25:48 +0100
