=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	# Don't strip anything; it's all pre-built binary blobs and some of
 	# it is foreign architecture anyway
 
-BOOTCOMMIT:= dc94391863445ab867782d25ca6ae1e88579df5d
+BOOTCOMMIT:= 4558d93090658fe288d00bc7c5a1553454c012a2
 BOOTFILES := \
 	LICENCE.broadcom \
 	bootcode.bin \
@@ -58,14 +58,15 @@
 	synaptics/SYN43430B0.hcd \
 	synaptics/LICENSE.synaptics
 
-# 1:20230625-2+rpt2
-WIFICOMMIT:= 223ccf3a3ddb11b3ea829749fbbba4d65b380897
+# 1:20241210-1+rpt2
+WIFICOMMIT:= c1e881b5ec1dc934ed6ff0a8993c73f00edda249
 WIFIFILES := \
 	brcm/brcmfmac43430-sdio.txt \
 	brcm/brcmfmac43436-sdio.bin \
 	brcm/brcmfmac43436-sdio.clm_blob \
 	brcm/brcmfmac43436-sdio.txt \
 	brcm/brcmfmac43436s-sdio.bin \
+	brcm/brcmfmac43436s-sdio.nolpo.txt \
 	brcm/brcmfmac43436s-sdio.txt \
 	brcm/brcmfmac43455-sdio.txt \
 	brcm/brcmfmac43456-sdio.bin \
@@ -74,6 +75,9 @@
 	cypress/README.txt \
 	cypress/cyfmac43430-sdio.bin \
 	cypress/cyfmac43430-sdio.clm_blob \
+	cypress/cyfmac43439-sdio.bin \
+	cypress/cyfmac43439-sdio.clm_blob \
+	cypress/cyfmac43439-sdio.txt \
 	cypress/cyfmac43455-sdio-minimal.bin \
 	cypress/cyfmac43455-sdio-standard.bin \
 	cypress/cyfmac43455-sdio.clm_blob
